Summary:       C library for multiple precision complex arithmetic
Name:          libmpc
Version:       1.3.1
Release:       3%{?dist}
License:       LGPLv3+
URL:           http://www.multiprecision.org/mpc/
Source0:       https://ftp.gnu.org/gnu/mpc/mpc-%{version}.tar.gz
BuildRequires: gcc, make
BuildRequires: gmp-devel >= 5.0.0, mpfr-devel >= 4.1.0
Provides:      libmpc-mpfr3 = %{version}-%{release}
Provides:      compat-libmpc = %{version}-%{release}

%description
MPC is a C library for the arithmetic of complex numbers with
arbitrarily high precision and correct rounding of the result. It
extends the principles of the IEEE-754 standard for fixed precision
real floating point numbers to complex numbers, providing well-defined
semantics for every operation. At the same time, speed of operation at
high precision is a major design goal.

%package       devel
Summary:       Headers and shared development libraries for MPC
Requires:      %{name} = %{version}-%{release}
Requires:      gmp-devel, mpfr-devel
Provides:      libmpc-mpfr3-devel = %{version}-%{release}

%description   devel
This package provides header files and shared library symlinks for the MPC library.

%prep
%setup -q -n mpc-%{version}

%build
%configure --disable-static

sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|CC="\(g..\)"|CC="\1 -Wl,--as-needed"|' \
    -i libtool

%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_infodir}/dir

%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir} make check

%files
%license COPYING.LESSER
%doc README NEWS AUTHORS
%{_libdir}/libmpc.so.3*
%{_infodir}/*.info*

%files devel
%{_libdir}/libmpc.so
%{_includedir}/mpc.h

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 1.3.1-1
- update to 1.3.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 8 2022 cunshunxia <cunshunxia@tencent.com> - 1.2.1-1
- initial build
